%define name opensondage
%define version 0.6.7
%define commit 4c6fc65
%define release 4
%define httpuser apache

%if 0%{?fedora} >= 11 || 0%{?rhel} >= 5
%global useselinux 1
%else
%global useselinux 0
%endif

Summary: Making polls to schedule meetings or events, quickly and easily
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: RHEL
License: CeCILL-B
URL: https://github.com/leblanc-simon/OpenSondage
Group: Applications/Internet
Source: %{name}-%{commit}.zip
Source1: httpd.conf
Patch0: opensondage-0.6.7-variables_in_etc.patch
Patch1: opensondage-0.6.7-global_adodb.patch
Patch2: opensondage-0.6.7-global_fpdf.patch
Patch3: opensondage-0.6.7-name_and_email_from_http_headers.patch
Patch4: opensondage-0.6.7-remove_framasoft_about.php
Patch5: opensondage-0.6.7-fix_export_csv.patch
Patch6: opensondage-0.6.6-display_export_csv_button.patch
Patch7: opensondage-0.6.7-pass_correct_param_to_pdf_export.patch
Patch8: opensondage-0.6.7-utf8_decode_all_translatable_strings.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}

Requires: php
Requires: php-mysql
Requires: php-adodb
Requires: php-fpdf
Requires: httpd
Requires: %{_sbindir}/semanage

BuildRequires: httpd

%description
Making polls to schedule meetings or events, quickly and easily.

%prep
%setup -q -n OpenSondage-framasoft
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
# empty build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}
# Remove fpdf
rm -rf php2pdf/{phpToPDF.zip,fpdf.php,font}
# Remove adodb
rm -rf adodb
for a in $(find ./ -mindepth 1 -maxdepth 1 -type d \! -name scripts -print); do
    cp -r $a %{buildroot}/%{_datadir}/%{name}/
done
cp *.php *.ico *.css *.js robots.txt variables.php.template .htaccess %{buildroot}/%{_datadir}/%{name}/

%{__mkdir} -p %{buildroot}/%{_sysconfdir}/%{name}/
sed -e "s|<nom de l'application>|OpenSondage|g" \
    -e "s|<nom de la base de données>|opensondage|" \
    -e "s|<nom de l'utilisateur>|opensondage|" \
    -e "s|<mot de passe>|secret|" \
    -e "s|<nom du serveur avec domaine>||" \
    -e "s|<type de BDD>|mysql|" \
     %{buildroot}/%{_datadir}/%{name}/variables.php.template > \
     %{buildroot}/%{_sysconfdir}/%{name}/variables.php

cat <<'EOF' > %{buildroot}/%{_datadir}/%{name}/admin/.htaccess
authType      basic
authName      "ADMIN OpenSondage"
authUserFile  %{_sysconfdir}/%{name}/.htpasswd
require valid-user
EOF

htpasswd -b -c  %{buildroot}/%{_sysconfdir}/%{name}/.htpasswd admin admin

%{__mkdir} -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
%{__install} -m 0640 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
%doc install.sql install.mysql.sql README LICENSE LICENCE INSTALL TODO CHANGELOG
%doc %dir scripts
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%config(noreplace) %attr(0640,root,%{httpuser}) %{_sysconfdir}/%{name}/.htpasswd
%config(noreplace) %attr(0640,root,%{httpuser}) %{_sysconfdir}/%{name}/variables.php

%changelog
* Wed Dec 4 2013 Daniel B. <daniel@firewall-services.com> - 0.6.7-4
- Revert fix check name logic, the fix was incorrect

* Fri Nov 15 2013 Daniel B. <daniel@firewall-services.com> - 0.6.7-3
- Spec file cleanup

* Thu Nov 7 2013 Daniel B. <daniel@firewall-services.com> - 0.6.7-2
- Fix name check logic in studs.php

* Tue Nov 5 2013 Daniel B. <daniel@firewall-services.com> - 0.6.7-1
- Initial packaging
